Summary: Port of Xfce engine to GTK+-2.0
Name: gtk-xfce-engine
Version: 2.5.92
Release: 1%{?dist}
License: GPLv2+
URL: http://www.xfce.org/
Source0: http://www.xfce.org/archive/xfce-%{version}/src/gtk-xfce-engine-%{version}.tar.bz2
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gtk2-devel >= 2.0.0

%description
Port of Xfce engine to GTK+-2.0.

%prep
%setup -q

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_libdir}/*/*/engines/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS
%{_libdir}/gtk-2.0/2.10.0/engines/libxfce.so
%{_datadir}/themes/*

%changelog
* Sun Dec 28 2008 Kevin Fenzi <kevin@tummy.com> - 2.5.92-1
- Update to 2.5.92

* Mon Oct 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 2.4.3-1
- Update to 2.4.3
- Require filesystem package instead of owning %%{_datadir}/themes
- Don't own %%{_libdir}/gtk-2.0/2.10.0/engines/

* Sun Feb 10 2008 Kevin Fenzi <kevin@tummy.com> - 2.4.2-2
- Rebuild for gcc43

* Sun Nov 18 2007 Kevin Fenzi <kevin@tummy.com> - 2.4.2-1
- Update to 2.4.2

* Mon Aug 27 2007 Kevin Fenzi <kevin@tummy.com> - 2.4.1-2
- Update License tag. 

* Wed Apr 11 2007 Kevin Fenzi <kevin@tummy.com> - 2.4.1-1
- Update to 2.4.1

* Sun Jan 21 2007 Kevin Fenzi <kevin@tummy.com> - 2.4.0-1
- Update to 2.4.0

* Thu Nov  9 2006 Kevin Fenzi <kevin@tummy.com> - 2.3.99.2-1
- Update to 2.3.99.2

* Thu Oct  5 2006 Kevin Fenzi <kevin@tummy.com> - 2.3.99.1-3
- Fix defattr

* Wed Oct  4 2006 Kevin Fenzi <kevin@tummy.com> - 2.3.99.1-2
- Bump release for devel checkin

* Sun Sep  3 2006 Kevin Fenzi <kevin@tummy.com> - 2.3.99.1-1
- Update to 2.3.99.1

* Wed Jul 12 2006 Kevin Fenzi <kevin@tummy.com> - 2.3.90.2-1
- Update to 2.3.90.2

* Thu Apr 27 2006 Kevin Fenzi <kevin@tummy.com> - 2.3.90.1-1.fc6
- update to 2.3.90.1

* Thu Feb 16 2006 Kevin Fenzi <kevin@tummy.com> - 2.2.8-2.fc5
- Rebuild for fc5

* Mon Nov  7 2005 Kevin Fenzi <kevin@tummy.com> - 2.2.8-1.fc5
- Update to 2.2.8

* Tue May 17 2005 Kevin Fenzi <kevin@tummy.com> - 2.2.7-1.fc4
- Update to 2.2.7

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 2.2.6-3.fc4
- lowercase Release

* Fri Mar 25 2005 Kevin Fenzi <kevin@tummy.com> - 2.2.6-2.FC4
- Removed unneeded la files

* Tue Mar 15 2005 Kevin Fenzi <kevin@tummy.com> - 2.2.6-1
- Updated to 2.2.6 version

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 2.2.5-2
- Fixed Xfce case

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 2.2.5-1
- Inital Fedora Extras version
